[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] Problem with supermin & zypper



On Thu, Jul 11, 2013 at 10:50:01AM +0300, Or Goshen wrote:
> Now, I installed supermin from git. During configuration it discovered
> zypper:
> 
> *checking for zypper... zypper
> checking for yum... no
> checking for rpm... rpm
> checking for yumdownloader... no
> checking for aptitude... no
> checking for apt-cache... apt-cache
> checking for dpkg... no
> checking if apt-cache depends --recurse is broken... yes
> checking for pacman... no*
> 
> I have the following file:
> 
> *> cat /etc/SuSE-release
> SUSE Linux Enterprise Server 11 (x86_64)
> VERSION = 11
> PATCHLEVEL = 2*
> 
> What am I missing here ?
> Why do I get this error ?

First, let's see if your copy of supermin works at all.

Try:

  /path/to/your/supermin -v --names bash

Does that work?  If not, what's the precise error message?

Secondly, is libguestfs using your compiled-from-git supermin or some
other supermin that you happen to have installed?

Thirdly, take a look at the zypper module in supermin sources
(supermin/src/supermin_zypp_rpm.ml) and examine how OS detection
works.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
libguestfs lets you edit virtual machines.  Supports shell scripting,
bindings from many languages.  http://libguestfs.org


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]